/**
 *     Caption: Zaval GUI Designer Package
 *     $Revision: 1.51 $
 *     $Date: 2002/06/06 14:30:17 $
 *
 *     @author:     Andrei Vishnevsky
 *     @version:    1.0
 *
 * The Zaval GUI Designer Package (GDP) is set of components that allows to control
 * size, location, cursor types for the Java AWT/Swing components. Actually, the
 * components are Java AWT events listeners that have no GUI part.
 *
 * For more info on this product read Zaval GUI Designer Package Tutorial
 * (It comes within this package).
 * The latest product version is always available from the product's homepage:
 * http://www.zaval.org/products/gdp/
 * and from the SourceForge:
 * http://sourceforge.net/projects/zaval0004/
 *
 * Contacts:
 *   Support : support@zaval.org
 *   Change Requests : change-request@zaval.org
 *   Feedback : feedback@zaval.org
 *   Other : info@zaval.org
 *
 * Copyright (C) 2001-2002  Zaval Creative Engineering Group (http://www.zaval.org)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * (version 2) as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
package org.zaval.awt.gdp.demo;

import java.awt.event.*;

/**
 * <font face="Arial" size="2">
 * This window listener implementation is supposed to be used as a window listener
 * for different applications.
 * </font>
 */
public class WL implements WindowListener
{
  /**
   * <font face="Arial" size="2">
   * Invoked when a window is activated.
   * </font>
   */
   public void windowActivated(WindowEvent e) {}

  /**
   * <font face="Arial" size="2">
   * Invoked when a window has been closed.
   * </font>
   */
   public void windowClosed(WindowEvent e) { System.exit(0); }

  /**
   * <font face="Arial" size="2">
   * Invoked when a window is in the process of being closed.
   * </font>
   */
   public void windowClosing(WindowEvent e) { System.exit(0); }

  /**
   * <font face="Arial" size="2">
   * Invoked when a window is de-activated.
   * </font>
   */
   public void windowDeactivated(WindowEvent e) { }

  /**
   * <font face="Arial" size="2">
   * Invoked when a window is de-iconified.
   * </font>
   */
   public void windowDeiconified(WindowEvent e) {}

  /**
   * <font face="Arial" size="2">
   * Invoked when a window is iconified.
   * </font>
   */
   public void windowIconified(WindowEvent e) {}

  /**
   * <font face="Arial" size="2">
   * Invoked when a window has been opened.
   * </font>
   */
   public void windowOpened(WindowEvent e) {}
}

